Index: uspace/srv/net/il/ip/ip_remote.c
===================================================================
--- uspace/srv/net/il/ip/ip_remote.c	(revision 91478aae14d21fad32ae117b2ac0b0fd52f11394)
+++ uspace/srv/net/il/ip/ip_remote.c	(revision aadf01ebd2c032bc8dd43a6e06ae5715e6c2710f)
@@ -52,62 +52,66 @@
 #include "ip_messages.h"
 
-int ip_device_req( int ip_phone, device_id_t device_id, services_t service ){
-	return generic_device_req( ip_phone, NET_IL_DEVICE, device_id, 0, service );
+int ip_device_req(int ip_phone, device_id_t device_id, services_t service){
+	return generic_device_req(ip_phone, NET_IL_DEVICE, device_id, 0, service);
 }
 
-int ip_send_msg( int ip_phone, device_id_t device_id, packet_t packet, services_t sender, services_t error ){
-	return generic_send_msg( ip_phone, NET_IL_SEND, device_id, packet_get_id( packet ), sender, error );
+int ip_send_msg(int ip_phone, device_id_t device_id, packet_t packet, services_t sender, services_t error){
+	return generic_send_msg(ip_phone, NET_IL_SEND, device_id, packet_get_id(packet), sender, error);
 }
 
-int ip_connect_module( services_t service ){
-	return connect_to_service( SERVICE_IP );
+int ip_connect_module(services_t service){
+	return connect_to_service(SERVICE_IP);
 }
 
-int ip_add_route_req( int ip_phone, device_id_t device_id, in_addr_t address, in_addr_t netmask, in_addr_t gateway ){
-	return ( int ) async_req_4_0( ip_phone, NET_IP_ADD_ROUTE, ( ipcarg_t ) device_id, ( ipcarg_t ) gateway.s_addr, ( ipcarg_t ) address.s_addr, ( ipcarg_t ) netmask.s_addr );
+int ip_add_route_req(int ip_phone, device_id_t device_id, in_addr_t address, in_addr_t netmask, in_addr_t gateway){
+	return (int) async_req_4_0(ip_phone, NET_IP_ADD_ROUTE, (ipcarg_t) device_id, (ipcarg_t) gateway.s_addr, (ipcarg_t) address.s_addr, (ipcarg_t) netmask.s_addr);
 }
 
-int ip_set_gateway_req( int ip_phone, device_id_t device_id, in_addr_t gateway ){
-	return ( int ) async_req_2_0( ip_phone, NET_IP_SET_GATEWAY, ( ipcarg_t ) device_id, ( ipcarg_t ) gateway.s_addr );
+int ip_set_gateway_req(int ip_phone, device_id_t device_id, in_addr_t gateway){
+	return (int) async_req_2_0(ip_phone, NET_IP_SET_GATEWAY, (ipcarg_t) device_id, (ipcarg_t) gateway.s_addr);
 }
 
-int ip_packet_size_req( int ip_phone, device_id_t device_id, packet_dimension_ref packet_dimension ){
-	return generic_packet_size_req( ip_phone, NET_IL_PACKET_SPACE, device_id, packet_dimension );
+int ip_packet_size_req(int ip_phone, device_id_t device_id, packet_dimension_ref packet_dimension){
+	return generic_packet_size_req(ip_phone, NET_IL_PACKET_SPACE, device_id, packet_dimension);
 }
 
-int ip_bind_service( services_t service, int protocol, services_t me, async_client_conn_t receiver, tl_received_msg_t tl_received_msg ){
-	return ( int ) bind_service( service, ( ipcarg_t ) protocol, me, service, receiver );
+int ip_bind_service(services_t service, int protocol, services_t me, async_client_conn_t receiver, tl_received_msg_t tl_received_msg){
+	return (int) bind_service(service, (ipcarg_t) protocol, me, service, receiver);
 }
 
-int ip_received_error_msg( int ip_phone, device_id_t device_id, packet_t packet, services_t target, services_t error ){
-	return generic_received_msg( ip_phone, NET_IP_RECEIVED_ERROR, device_id, packet_get_id( packet ), target, error );
+int ip_received_error_msg(int ip_phone, device_id_t device_id, packet_t packet, services_t target, services_t error){
+	return generic_received_msg(ip_phone, NET_IP_RECEIVED_ERROR, device_id, packet_get_id(packet), target, error);
 }
 
-int ip_get_route_req( int ip_phone, ip_protocol_t protocol, const struct sockaddr * destination, socklen_t addrlen, device_id_t * device_id, ip_pseudo_header_ref * header, size_t * headerlen ){
-	aid_t			message_id;
-	ipcarg_t		result;
-	ipc_call_t		answer;
+int ip_get_route_req(int ip_phone, ip_protocol_t protocol, const struct sockaddr * destination, socklen_t addrlen, device_id_t * device_id, ip_pseudo_header_ref * header, size_t * headerlen){
+	aid_t message_id;
+	ipcarg_t result;
+	ipc_call_t answer;
 
-	if( !( destination && ( addrlen > 0 ))) return EINVAL;
-	if( !( device_id && header && headerlen )) return EBADMEM;
-	* header = NULL;
-	message_id = async_send_1( ip_phone, NET_IP_GET_ROUTE, ( ipcarg_t ) protocol, & answer );
-	if(( async_data_write_start( ip_phone, destination, addrlen ) == EOK )
-	&& ( async_data_read_start( ip_phone, headerlen, sizeof( * headerlen )) == EOK )
-	&& ( * headerlen > 0 )){
-		* header = ( ip_pseudo_header_ref ) malloc( * headerlen );
-		if( * header ){
-			if( async_data_read_start( ip_phone, * header, * headerlen ) != EOK ){
-				free( * header );
+	if(!(destination && (addrlen > 0))){
+		return EINVAL;
+	}
+	if(!(device_id && header && headerlen)){
+		return EBADMEM;
+	}
+	*header = NULL;
+	message_id = async_send_1(ip_phone, NET_IP_GET_ROUTE, (ipcarg_t) protocol, &answer);
+	if((async_data_write_start(ip_phone, destination, addrlen) == EOK)
+		&& (async_data_read_start(ip_phone, headerlen, sizeof(*headerlen)) == EOK)
+		&& (*headerlen > 0)){
+		*header = (ip_pseudo_header_ref) malloc(*headerlen);
+		if(*header){
+			if(async_data_read_start(ip_phone, * header, * headerlen) != EOK){
+				free(*header);
 			}
 		}
 	}
-	async_wait_for( message_id, & result );
-	if(( result != EOK ) && ( * header )){
-		free( * header );
+	async_wait_for(message_id, &result);
+	if((result != EOK) && (*header)){
+		free(*header);
 	}else{
-		* device_id = IPC_GET_DEVICE( & answer );
+		*device_id = IPC_GET_DEVICE(&answer);
 	}
-	return ( int ) result;
+	return (int) result;
 }
 
